# <small>nlohmann::byte_container_with_subtype::</small>has_subtype

```cpp
constexpr bool has_subtype() const noexcept;
```

Returns whether the value has a subtype.

## Return value

whether the value has a subtype

## Exception safety

No-throw guarantee: this function never throws exceptions.

## Complexity

Constant.

## Version history

Since version 3.8.0.
